param([string]$drive, [string]$password)

$SecureString = ConvertTo-SecureString $password -AsPlainText -Force
$UnlockResult = Unlock-BitLocker -MountPoint $drive -Password $SecureString
if ($UnlockResult.ReturnValue -ne 0)
{
  # Retry
  Unlock-BitLocker -MountPoint $drive -Password $SecureString  
}
